# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


%define soname	0

Name:           libmediainfo
Version:        0.7.62
Release:        1.1
Summary:        Supplies technical and tag information about a video or audio file
Group:          System/Libraries
License:        GPL-2.0+
URL:            http://mediainfo.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/mediainfo/libmediainfo_%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf automake libtool
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libmms-devel
BuildRequires:  libzen-devel
BuildRequires:  pkg-config
BuildRequires:  zlib-devel

%description
MediaInfo supplies technical and tag information about a video or
audio file.

%package -n %{name}%{soname}
Summary:        Supplies technical and tag information about a video or audio file
Group:          System/Libraries

%description -n %{name}%{soname}
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo(-gui).

%package -n libmediainfo-devel
Summary:        Include files and libraries for development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       %{name}%{soname} = %{version}
Requires:       libcurl-devel
Requires:       libmms-devel
Requires:       libzen-devel
Requires:       zlib-devel

%description -n libmediainfo-devel
Include files and mandatory libraries for development.

%prep
%setup -q -n MediaInfoLib
%__cp Release/ReadMe_DLL_Linux.txt \
    ReadMe.txt
%__mv History_DLL.txt \
    History.txt

%__sed -i 's/\r$//' *.txt *.html Source/Doc/Documentation.html
%__chmod 644 *.txt *.html Source/Doc/Documentation.html

%build
# generate docs
pushd Source/Doc
    doxygen -u 2> /dev/null
    doxygen Doxyfile
popd

export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"
export CPPFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"
export CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/libmms"

pushd Project/GNU/Library
    %__chmod +x autogen
    ./autogen
    %configure \
    	--enable-shared \
    	--disable-static \
    	--with-libcurl \
    	--with-libmms=%{_libdir}

    %__make clean
    %__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/Library/
    %makeinstall
popd

# MediaInfoDLL headers and MediaInfo-config
for i in MediaInfo MediaInfoDLL; do
    %__install -dm 755 %{buildroot}%{_includedir}/$i
    %__install -m 644 Source/$i/*.h \
    	%{buildroot}%{_includedir}/$i
done

%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.cs \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNA.java \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.JNative.java \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL.py \
    %{buildroot}%{_includedir}/MediaInfoDLL
%__install -m 644 Source/MediaInfoDLL/MediaInfoDLL3.py \
    %{buildroot}%{_includedir}/MediaInfoDLL

%__sed -i -e 's|Version: |Version: %{version}|g' \
    Project/GNU/Library/libmediainfo.pc
%__install -dm 755 %{buildroot}%{_libdir}/pkgconfig
%__install -m 644 Project/GNU/Library/libmediainfo.pc \
    %{buildroot}%{_libdir}/pkgconfig

%__rm Doc/installdox || true
%__rm %{buildroot}%{_libdir}/libmediainfo.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libmediainfo%{soname} -p /sbin/ldconfig
%postun -n libmediainfo%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root,-)
%doc History.txt License.html ReadMe.txt
%{_libdir}/libmediainfo.so.%{soname}
%{_libdir}/libmediainfo.so.%{soname}.*

%files -n libmediainfo-devel
%defattr(-,root,root,-)
%doc Changes.txt Source/Doc/Documentation.html
%doc Doc/*
%dir %{_includedir}/MediaInfo
%{_includedir}/MediaInfo/*
%dir %{_includedir}/MediaInfoDLL
%{_includedir}/MediaInfoDLL/*
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Feb 28 2013 fisiu@opensuse.org
- update to 0.7.62 (changes since 0.7.60):
  * MOV "menu" moved to "other", for better separation of time code tracks
  * "Intermediate Codec" is renamed to "AIC" (Apple Intermediate Codec)
  * MPEG-TS: Menu stream, KLVA_PID and SCTE35_PID removed and formats are in "Format" field
  * DTS: moved DTS endianess and word size
* Thu Oct  4 2012 i@marguerite.su
- update to 0.7.60
  * MPEG-TS/PS: improved detection of buggy time stamps
  * DPX: color primaries and transfer characteristics
  * MPEG-TS: Added support of scrambled streams without transport_scrambling_control bit set (e.g. PlayReady)
  * MPEG-TS: Name of some scrambling algorithms
  * MPEG-TS: detection of CBR/VBR at container level
  * MPEG Video: better detection of variable GOP
  * MPEG-TS: average, minimum, maximum PCR distance (hidden by default and you must parse the whole file with --ParseSpeed=1 option)
  * Matroska: some streams were wrongly detected sa VFR
  * #3538378, XML output: invalid characters, now if there is an invalid character, data is transported in base64
  * LXF: wrong video bit rate with some files
  * AC-3/E-AC-3: hang up with some Little Endian streams
  * AAC: wrong min and max bit rate in case of partial (default) parsing, disabling it
  * AVC: crash or hang up with some malformed/scrambled streams
  * Opus: wrong duration in case of non-48kHz stream
  * MOV: 25 fps + drop frame time codes were not handled correctly
* Sat May 19 2012 seife+obs@b1-systems.com
- add autoconf/automake/libtool to buildreq to fix 12.2 build
* Sat Jul 31 2010 toni@links2linux.de
- update to 0.7.34
* Mon May  3 2010 toni@links2linux.de
- update to 0.7.32
* Fri Apr 16 2010 toni@links2linux.de
- update to 0.7.31
* Fri Mar 26 2010 toni@links2linux.de
- update to 0.7.30
* Tue Mar  9 2010 toni@links2linux.de
- update to 0.7.29
* Sun Feb 21 2010 toni@links2linux.de
- update to 0.7.28
* Mon Jan 11 2010 toni@links2linux.de
- update to 0.7.27
* Wed Dec 23 2009 toni@links2linux.de
- update to 0.7.26
* Fri Nov 20 2009 toni@links2linux.de
- update to 0.7.25
* Fri Oct 30 2009 toni@links2linux.de
- update to 0.7.24
* Tue Oct 27 2009 toni@links2linux.de
- update to 0.7.23
* Tue Oct 13 2009 toni@links2linux.de
- update to 0.7.19
* Mon Jun 22 2009 toni@links2linux.de
- update to 0.7.17
* Wed May 20 2009 toni@links2linux.de
- update to 0.7.16
* Thu Apr 30 2009 toni@links2linux.de
- update to 0.7.15
* Fri Apr 17 2009 toni@links2linux.de
- update to 0.7.14
* Sun Apr  5 2009 toni@links2linux.de
- update to 0.7.13
* Sat Apr  4 2009 toni@links2linux.de
- redowngrade to 0.7.12
* Fri Apr  3 2009 toni@links2linux.de
- update to 0.7.13
* Fri Mar 20 2009 toni@links2linux.de
- update to 0.7.12
* Fri Feb 13 2009 toni@links2linux.de
- update to 0.7.11
* Fri Jan 30 2009 toni@links2linux.de
- update to 0.7.10
* Fri Jan 23 2009 toni@links2linux.de
- update to 0.7.9
* Tue Dec  9 2008 toni@links2linux.de
- update to 0.7.8
- docs are now generated with doxygen
* Wed Nov 19 2008 toni@links2linux.de
- rebuild with modified sources from author to fix gui problem
* Mon Nov 17 2008 toni@links2linux.de
- update to 0.7.7.8
* Mon Dec 10 2007 toni@links2linux.de
- libZenLib and libMediaInfoLib are renamed to libzen and libmediainfo
- install *-config files manually
- added devel-subpackages
- split off from MediaInfo package
